Name:		cacti-spine
Version:	0.8.8a
Release:	2%{?dist}
Summary:	A backend data gatherer for Cacti

Group:		Applications/System
License:	LGPLv2+ 
URL:		http://www.cacti.net/
Source0:	http://www.cacti.net/downloads/spine/%{name}-%{version}.tar.gz
#Patch0:		unified_issues.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
%requires_eq	net-snmp-libs
Requires:	cacti
Obsoletes:	cacti-cactid < 0.8.7

%description
A backend data gatherer for Cacti. This package represents the future
replacement for Cacti's cmd.php. It is almost 100% compatible with the
legacy cmd.php processor.


%prep
%setup -q
#%patch0 -p1

%build
%configure \
	--with-results-buffer=4096
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

#mv $RPM_BUILD_ROOT%{_bindir}/{spine,cacti-poller-spine}
mv $RPM_BUILD_ROOT%{_sysconfdir}/spine.conf{.dist,}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,apache) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/spine.conf
%attr(755,root,root) %{_bindir}/spine

%changelog
* Fri Oct 22 2010 Kevin COUSIN <kcousin@global-sp.net> - 0.8.7.5
- New spec file for Fedora and CentOS
- Original specfile from PLD Linux
